Summary:	C++ interface to MySQL Database
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL
Name:		mysql++
Version:	3.2.3
Release:	1
License:	LGPL
Group:		Libraries
Source0:	https://tangentsoft.com/mysqlpp/releases/%{name}-%{version}.tar.gz
# Source0-md5:	5ded941ffeeec895022b97e58b1b204b
Patch0:		%{name}-nolibs.patch
URL:		http://tangentsoft.net/mysql++/
BuildRequires:	autoconf
BuildRequires:	bakefile
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mysql++ is a C++ interface to MySQL API.

%description -l pl.UTF-8
Mysql++ jest interfejsem C++ do API MySQL.

%package devel
Summary:	C++ interface to MySQL Database (headers)
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL (pliki nagłówkowe)
Group:		Development/Libraries
Requires:	libstdc++-devel
Requires:	mysql-devel
Requires:	%{name} = %{version}-%{release}

%description devel
Mysql++ is a C++ interface to MySQL API. Package contains the
development header files necessary to develop MySQL client
applications using Mysql++.

%description devel -l pl.UTF-8
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera nagłówki
potrzebne do rozwoju aplikacji klienckich używających Mysql++.

%package static
Summary:	C++ interface to MySQL Database (static libraries)
Summary(pl.UTF-8):	Interfejs C++ do bazy MySQL (biblioteki statyczne)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Mysql++ is a C++ interface to MySQL API. Package contains the static
libraries.

%description static -l pl.UTF-8
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera biblioteki
statyczne.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
%configure

%{__make} \
	CXXFLAGS="%{rpmcxxflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.3

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

#%files static
#%defattr(644,root,root,755)
#%{_libdir}/lib*.a
%changelog
* Sun Mar 11 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mysql++.git;a=log;h=master

* Sun Mar 11 2018 Jan Rękorajski <baggins@pld-linux.org> de6d233
- up to 3.2.3

* Thu Mar 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 41c70eb
- release 2

* Sat Nov 21 2009 Jan Rękorajski <baggins@pld-linux.org> 6cd45ad
- no static lib

* Sat Nov 21 2009 Jan Rękorajski <baggins@pld-linux.org> 7b18711
- up to 3.0.9

* Sat Nov 21 2009 Jan Rękorajski <baggins@pld-linux.org> 960c166
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3c11f86
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b603bb7
- converted to UTF-8

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> b896423
- orphaned, outdated

* Mon Mar 27 2006 Elan Ruusamäe <glen@pld-linux.org> c77e9b5
- rel 4 (libmysqlclient_15)

* Thu Oct 27 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> f66eb86
- rel 3

* Tue Jun 14 2005 zbyniu <zbyniu@pld-linux.org> dc7de61
- BR: libstdc++-devel, R: libstdc++-devel, mysql-devel in -devel

* Sat Feb 12 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> de4ca90
- rel ++

* Sat Jan 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 1c3e43e
- outdated

* Fri Jan 07 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 86c470e
- forgotten commit

* Fri Jan 07 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 44ce821
- up to 1.7.26

* Thu Apr 01 2004 Jakub Bogusz <qboosh@pld-linux.org> ee7d3ee
- release 5

* Thu Apr 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 8a39261
- wrrr

* Thu Apr 01 2004 Jakub Bogusz <qboosh@pld-linux.org> ec90fe5
- added libpath patch

* Thu Apr 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 24b349a
- don't try to be smarter

* Thu Apr 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 76ae40d
- eeh, requires --with-mysql-lib for lib64 support

